Bug 250048 - www/neon: Update to 0.31.2
Summary: www/neon: Update to 0.31.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Lev A. Serebryakov
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-10-02 11:00 UTC by Gleb Popov
Modified: 2020-11-14 16:21 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (lev)
arrowd: maintainer-feedback? (lev)


Attachments
Patch for neon (3.70 KB, patch)
2020-10-19 05:55 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for neon v2 (3.71 KB, patch)
2020-10-19 08:18 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2020-10-02 11:00:10 UTC
Index: www/neon/Makefile
===================================================================
--- www/neon/Makefile   (revision 549984)
+++ www/neon/Makefile   (working copy)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=      neon
-PORTVERSION=   0.30.2
-PORTREVISION=  4
+PORTVERSION=   0.31.2
 CATEGORIES=    www
-MASTER_SITES=  LOCAL/lev
+MASTER_SITES=  https://notroj.github.io/neon/
 
 MAINTAINER=    lev@FreeBSD.org
 COMMENT=       HTTP and WebDAV client library for Unix systems
Index: www/neon/distinfo
===================================================================
--- www/neon/distinfo   (revision 549984)
+++ www/neon/distinfo   (working copy)
@@ -1,3 +1,3 @@
-TIMESTAMP = 1529335398
-SHA256 (neon-0.30.2.tar.gz) = db0bd8cdec329b48f53a6f00199c92d5ba40b0f015b153718d1b15d3d967fbca
-SIZE (neon-0.30.2.tar.gz) = 932779
+TIMESTAMP = 1601636169
+SHA256 (neon-0.31.2.tar.gz) = cf1ee3ac27a215814a9c80803fcee4f0ede8466ebead40267a9bd115e16a8678
+SIZE (neon-0.31.2.tar.gz) = 867914
Index: www/neon/pkg-plist
===================================================================
--- www/neon/pkg-plist  (revision 549984)
+++ www/neon/pkg-plist  (working copy)
@@ -26,7 +26,7 @@
 lib/libneon.a
 lib/libneon.so
 lib/libneon.so.27
-lib/libneon.so.27.3.2
+lib/libneon.so.27.4.2
 libdata/pkgconfig/neon.pc
 man/man1/neon-config.1.gz
 man/man3/ne_add_request_header.3.gz
Comment 1 daniel.engberg.lists 2020-10-19 05:55:16 UTC
Created attachment 218873 [details]
Patch for neon

Update to neon 0.31.2
Update MASTER_SITES to upstream URL
Define LICENSE_FILE
Add support for both GnuTLS and OpenSSL
Enable SSL by default, this is default on majority of distros
Clean up Makefile
Update URL in pkg-descr
Comment 2 daniel.engberg.lists 2020-10-19 05:55:24 UTC
Compile tested FreeBSD 13.0-CURRENT #0 r364979 (amd64) (make + make check-plist)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 3 daniel.engberg.lists 2020-10-19 08:18:13 UTC
Created attachment 218879 [details]
Patch for neon v2

Add USES= pkgconfig
Comment 4 commit-hook freebsd_committer 2020-11-06 17:19:37 UTC
A commit references this bug:

Author: arrowd
Date: Fri Nov  6 17:18:46 UTC 2020
New revision: 554305
URL: https://svnweb.freebsd.org/changeset/ports/554305

Log:
  www/neon: Update to 0.31.2.

  PR:		250048
  Submitted by:	daniel.engberg.lists@pyret.net
  Approved by:	lev (maintainer timeout)

Changes:
  head/www/cadaver/Makefile
  head/www/neon/Makefile
  head/www/neon/distinfo
  head/www/neon/pkg-plist
Comment 5 commit-hook freebsd_committer 2020-11-14 16:21:16 UTC
A commit references this bug:

Author: tcberner
Date: Sat Nov 14 16:20:45 UTC 2020
New revision: 555120
URL: https://svnweb.freebsd.org/changeset/ports/555120

Log:
  www/gstreamer1-plugins-neon: fix build with neon 0.31

  PR:		251059
  PR:		250048
  Reported by:	break19@gmail.com

Changes:
  head/multimedia/gstreamer1-plugins/Makefile